# mlstudent Class Reference

`#include <libEF.h>`

Inheritance diagram for mlstudent:

[legend]
Collaboration diagram for mlstudent:

[legend]

List of all members.

## Public Member Functions
| mlstudent (const RV &rv0, const RV &rvc0)
void | set_parameters (const mat &A0, const vec &mu0, const ldmat &R0, const ldmat &Lambda0)
void | condition (const vec &cond)
| Set value of `rvc` . Result of this operation is stored in `epdf` use function `_ep` to access it.
void | set_parameters (const mat &A, const vec &mu0, const ldmat &R)
| Set `A` and `R`.
vec & | _mu_const ()
| access function
mat & | _A ()
| access function
mat | _R ()
| access function
virtual vec | samplecond (const vec &cond, double &ll)
| Returns the required moment of the epdf.
virtual mat | samplecond (const vec &cond, vec &ll, int N)
| Returns.
virtual double | evalcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
virtual vec | evalcond_m (const mat &Dt, const vec &cond)
RV | _rvc () const
| access function
RV | _rv () const
| access function
epdf & | _epdf ()
| access function
## Protected Attributes
ldmat | Lambda
ldmat & | _R
ldmat | Re
enorm< ldmat > | epdf
| Internal epdf that arise by conditioning on `rvc`.
mat | A
vec | mu_const
vec & | _mu
RV | rv
| modeled random variable
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf
## Friends
std::ostream & | operator<< (std::ostream &os, mlnorm< sq_M > &ml)

## Detailed Description

(Approximate) Student t density with linear function of mean value

## Member Function Documentation

virtual vec mpdf::samplecond | ( | const vec & | cond,
|  | double & | ll |
| ) |  |  | `[inline, virtual, inherited]`

Returns the required moment of the epdf.

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented in mprod.

References mpdf::condition(), mpdf::ep, epdf::evalpdflog(), and epdf::sample().

Referenced by MPF< BM_T >::bayes(), and PF::bayes().

virtual mat mpdf::samplecond | ( | const vec & | cond,
|  | vec & | ll,
|  | int | N |
| ) |  |  | `[inline, virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented in mprod.

References mpdf::condition(), RV::count(), mpdf::ep, epdf::evalpdflog(), mpdf::rv, and epdf::sample().

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/stat/libEF.h